declare const config: {
    plugins: string[];
    extends: string[];
    rules: {
        'vue/max-attributes-per-line': string;
        'vue/no-v-html': string;
        'vue/require-default-prop': string;
        'vue/require-explicit-emits': string;
        'vue/multi-word-component-names': string;
        'vue/component-tags-order': (string | {
            order: string[];
        })[];
    };
    globals: {
        h: boolean;
        jest: string;
        defineProps: string;
        defineEmits: string;
        defineExpose: string;
        withDefaults: string;
    };
    overrides: ({
        files: string[];
        env: {
            mocha: boolean;
            jest: boolean;
            'vitest-globals/env': boolean;
        };
        rules: {
            'no-console': string;
            'vue/one-component-per-file': string;
        };
        parser?: undefined;
        parserOptions?: undefined;
    } | {
        files: string[];
        parser: string;
        parserOptions: {
            parser: string;
            ecmaVersion: string;
            sourceType: string;
            ecmaFeatures: {
                experimentalObjectRestSpread: boolean;
                experimentalDecorators: boolean;
                jsx: boolean;
                tsx: boolean;
            };
            vueFeatures: {};
        };
        rules: {
            '@typescript-eslint/no-unused-vars'?: string | undefined;
            'vue/no-v-model-argument': string;
            'vue/valid-v-model': number;
            'vue/html-indent': number;
            'no-console'?: undefined;
            'vue/one-component-per-file'?: undefined;
        };
        env?: undefined;
    })[];
};
export default config;
